import { defineConfig } from 'umi';

export default defineConfig({
  nodeModulesTransform: {
    type: 'none',
  },
  routes: [
    {
      path: '/',
      component: '../layouts/index',
      routes: [
        { path: '/', component: '../pages/index' },
        { path: '/vip', component: '../pages/vip' },
        { path: '/login', component: '../pages/login' },
        { path: '/recharge', component: '../pages/recharge' },
        {
          path: '/recharge/callback/alipay',
          component: '../pages/recharge/callback/alipay',
        },
        {
          path: '/recharge/callback/wechat',
          component: '../pages/recharge/callback/wechat',
        },
      ],
    },
  ],
  fastRefresh: {},
  proxy: {
    '/api-app': {
      target: 'http://api.timichat.net/api-app/',
      changeOrigin: true,
      pathRewrite: { '^/api-app': '' },
    },
  },
  hash: true,
});
